e2e-update-knapsack:
  image:
    name: registry.gitlab.com/gitlab-org/gitlab/gitlab-ee-qa:master
    entrypoint: [""]
  stage: report
  variables:
    GITLAB_ACCESS_TOKEN: $GITLAB_BOT_ACCESS_TOKEN
  before_script:
    - cd /home/gitlab/qa
  script:
    - bundle exec rake "knapsack:update_fallback_report"
  rules:
    - if: '$CI_PIPELINE_SOURCE == "schedule" && $REPORT_TYPE == "E2E_KNAPSACK_UPDATE"'
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      when: manual
      allow_failure: true
